SpriteLibrary

Sprite SpriteAtPictureBoxPoint Method

Return true or false, asking if the specifiec sprite is at the point on the picturebox. You can use this with a mouse-click to see if you are clicking on a sprite. Use the SpriteCollisionMethod "transparent" to see if you have clicked on an actual pixel of the sprite instead of just within the sprite rectangle.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public bool SpriteAtPictureBoxPoint(
    	Point location,
    	SpriteCollisionMethod method = SpriteCollisionMethod.rectangle
    )

#### Parameters

location
  Type: System.Drawing
  Point
  The x and y location in ImageBox coordinates.
method (Optional)
  Type: SpriteLibrary
  SpriteCollisionMethod
  The method of determining if the sprite is at that position

#### Return Value

Type: Boolean
True if the sprite is at the specified location, false if it is not
See Also

#### Reference

Sprite Class
SpriteLibrary Namespace